<div class="bg-light">
  <div class="row justify-content-md-center">
    <div class="col-6">
      <div>
        <h1 class="mt-5 font-weight-normal text-center">Seja bem vindo</h1>
      </div>

      <div class="card card-login">

        <form class="" [formGroup]="authForm" *ngIf="isLogin">
          <h3 class="mb-3 font-weight-normal text-center">Insira os dados</h3>
          <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="Email">
                  Email
                </span>
            </div>
            <input class="form-control" type="email" placeholder="ex: usuario.desafio@email.com" autofocus formControlName="email">
          </div>
          <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="Login">
                  Login
                </span>
            </div>
            <input class="form-control" type="password" placeholder="ex: c0m3u2t1v3l" autofocus formControlName="login">
          </div>

          <div class="text-center">
            <button class="btn btn-md btn-primary mb-2" type="submit" (click)="fazerlogin()"
            [disabled]="carregando">
            <span *ngIf="carregando">Carregando...</span>
            <span *ngIf="!carregando">Entrar</span>
          </button>
            <a class="pointer" (click)="trocar()">
              <p>
                Crie uma conta
              </p>
            </a>
          </div>
          <div class="alert alert-danger mt-3" role="alert" *ngIf="hasError" >
            {{mensagemRetorno}}
          </div>
        </form>

        <form class="" [formGroup]="signinForm" *ngIf="!isLogin">
          <h3 class="mb-3 font-weight-normal text-center">Crie uma nova conta</h3>
          <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="Nome">
                  <span class="text-danger">*</span>Nome
                </span>
            </div>
            <input class="form-control" type="text" placeholder="ex: João" autofocus formControlName="nome">
          </div>
          <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="EmailC">
                  <span class="text-danger">*</span>Email
                </span>
            </div>
            <input class="form-control" type="email" placeholder="ex: usuario.desafio@email.com" autofocus formControlName="email">
          </div>
          <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="LoginC">
                  <span class="text-danger">*</span>Login
                </span>
            </div>
            <input class="form-control" type="password" placeholder="ex: c0m3u2t1v3l" autofocus formControlName="login">
          </div>
          <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" id="ConfirmLogin">
                  <span class="text-danger">*</span>Repita o Login
                </span>
            </div>
            <input class="form-control" type="password" placeholder="ex: c0m3u2t1v3l" autofocus formControlName="relogin">
          </div>

          <div class="text-center">
            <button class="btn btn-md btn-primary mb-2" type="submit" (click)="criarConta()"
            [disabled]="carregando">
            <span *ngIf="carregando">Carregando...</span>
            <span *ngIf="!carregando">Criar Conta</span>
            </button>

            <p>Já possui um cadastro? Então
              <a class="pointer" (click)="isLogin = true">
                clique aqui
              </a>
            </p>
          </div>
          <div class="alert alert-danger mt-3" role="alert" *ngIf="hasError" >
            {{mensagemRetorno}}
          </div>
        </form>
        <div class="alert alert-success mt-3" role="alert" *ngIf="exibirSucesso" >
          Usuário cadastrado com sucesso.
        </div>
      </div>
    </div>
  </div>
</div>
